%define api		0
%define major		0
%define gi_major	0
%define ui_api		1
%define ui_major	1
%define ui_gi_major	1
%define libname		%mklibname malcontent %api %major
%define libname_ui	%mklibname malcontent-ui %ui_api %ui_major
%define develname	%mklibname malcontent -d
%define girname		%mklibname malcontent-gir %gi_major
%define girname_ui	%mklibname malcontentui-gir %ui_gi_major

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		malcontent
Version:	0.13.0
Release:	%mkrel 2
Summary:	Library for parental controls support
Group:		System/Libraries
License:	LGPLv2+
URL:		https://gitlab.freedesktop.org/pwithnall/malcontent
Source0:	https://gitlab.freedesktop.org/pwithnall/malcontent/-/archive/%{version}/malcontent-%{version}.tar.bz2

BuildRequires:	meson
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	appstream
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0) >= 2.19.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(glib-testing-0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(accountsservice)
BuildRequires:	pkgconfig(appstream)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(flatpak)
BuildRequires:	pam-devel

Requires:	polkit

%description
%{name} implements parental controls support which can be used by applications
%to filter or limit the access of child accounts to inappropriate content.

%package i18n
Summary:	Library for parental controls support - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
%{name} implements parental controls support which can be used by applications
%to filter or limit the access of child accounts to inappropriate content.

%package -n %{libname}
Summary:	Library for parental controls support
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

Obsoletes:	%{_lib}malcontent0 < 0.10.5-2

%description -n %{libname}
%{name} implements parental controls support which can be used by applications
to filter or limit the access of child accounts to inappropriate content.


%package -n %{libname_ui}
Summary:	UI Library for parental controls support
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

Conflicts:	%{_lib}malcontent0 < 0.10.5-2

%description -n %{libname_ui}
%{name} implements parental controls support which can be used by applications
to filter or limit the access of child accounts to inappropriate content.


%package -n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_ui} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Requires:	%{girname_ui} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.


%package -n %{girname_ui}
Summary:	GObject Introspection interface description for %{name}ui
Group:		System/Libraries
Requires:	%{libname_ui} = %{version}-%{release}

Conflicts:	%{_lib}malcontent-gir0 < 0.10.5-2

%description -n %{girname_ui}
GObject Introspection interface description for %{name}ui.

%prep
%autosetup -p1

%build
%meson -Dinstalled_tests=false
%meson_build

%install
%meson_install

%find_lang malcontent --with-gnome

%files i18n -f malcontent.lang

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{libname_ui}
%{_libdir}/lib%{name}-ui-%{ui_api}.so.%{ui_major}{,.*}
%{_libdir}/lib%{name}-ui-%{ui_api}.so.%{version}

%files -n %{develname}
#%%doc %%{_datadir}/gtk-doc/html/%%{name}/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/pkgconfig/%{name}-ui-%{ui_api}.pc

%{_datadir}/gir-1.0/Malcontent-%{gi_major}.gir
%{_datadir}/gir-1.0/MalcontentUi-%{ui_gi_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Malcontent-%{gi_major}.typelib

%files -n %{girname_ui}
%{_libdir}/girepository-1.0/MalcontentUi-%{ui_gi_major}.typelib

%files
%{_bindir}/malcontent-client
%{_bindir}/malcontent-control
%{_mandir}/man8/malcontent-client.8*
%{_libdir}/security/pam_malcontent.so
%{_datadir}/accountsservice/interfaces/com.endlessm.ParentalControls.AccountInfo.xml
%{_datadir}/accountsservice/interfaces/com.endlessm.ParentalControls.AppFilter.xml
%{_datadir}/accountsservice/interfaces/com.endlessm.ParentalControls.SessionLimits.xml
%{_datadir}/applications/org.freedesktop.MalcontentControl.desktop
%{_datadir}/dbus-1/interfaces/com.endlessm.ParentalControls.AccountInfo.xml
%{_datadir}/dbus-1/interfaces/com.endlessm.ParentalControls.AppFilter.xml
%{_datadir}/dbus-1/interfaces/com.endlessm.ParentalControls.SessionLimits.xml
%{_datadir}/icons/hicolor/scalable/apps/org.freedesktop.MalcontentControl.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.freedesktop.MalcontentControl-symbolic.svg
%{_datadir}/polkit-1/actions/com.endlessm.ParentalControls.policy
%{_datadir}/polkit-1/actions/org.freedesktop.MalcontentControl.policy
%{_datadir}/polkit-1/rules.d/com.endlessm.ParentalControls.rules
%{_metainfodir}/org.freedesktop.MalcontentControl.metainfo.xml


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.13.0-2.mga10
+ Revision: 2230128
- Mageia 10 Mass Rebuild

* Thu Nov 21 2024 daviddavid <daviddavid> 0.13.0-1.mga10
+ Revision: 2118045
- new version: 0.13.0

* Sun Jun 02 2024 daviddavid <daviddavid> 0.12.0-1.mga10
+ Revision: 2069466
- new version: 0.12.0
- split out the ui library in its own sub-pkg
- new version 0.11.1

* Fri Nov 25 2022 daviddavid <daviddavid> 0.10.5-1.mga9
+ Revision: 1910930
- new version: 0.10.5

* Sun Apr 03 2022 umeabot <umeabot> 0.10.0-3.mga9
+ Revision: 1841667
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 barjac <barjac> 0.10.0-2.mga9
+ Revision: 1701238
- revert un-needed patch

* Wed Mar 10 2021 barjac <barjac> 0.10.0-1.mga9
+ Revision: 1701211
- add #include to try to fix build

* Wed Dec 30 2020 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1665670
- new version: 0.10.0

* Mon Oct 12 2020 ovitters <ovitters> 0.9.0-1.mga8
+ Revision: 1633956
- new version 0.9.0

* Wed Jun 10 2020 ovitters <ovitters> 0.8.0-1.mga8
+ Revision: 1592059
- imported package malcontent

